import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'paydala_flutter_sdk_method_channel.dart';

abstract class PaydalaFlutterSdkPlatform extends PlatformInterface {
  /// Constructs a PaydalaFlutterSdkPlatform.
  PaydalaFlutterSdkPlatform() : super(token: _token);

  static final Object _token = Object();

  static PaydalaFlutterSdkPlatform _instance = MethodChannelPaydalaFlutterSdk();

  /// The default instance of [PaydalaFlutterSdkPlatform] to use.
  ///
  /// Defaults to [MethodChannelPaydalaFlutterSdk].
  static PaydalaFlutterSdkPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [PaydalaFlutterSdkPlatform] when
  /// they register themselves.
  static set instance(PaydalaFlutterSdkPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
