class PrefillAddress {
  String? city;
  String? region;
  String? postalCode;
  String? street;
  String? address;
  String? extendedAddress;

  PrefillAddress({
    required this.city,
    this.region,
    required this.postalCode,
    this.street,
    required this.address,
    // this.extendedAddress,
  });

  Map<String, dynamic> toJson() => {
        'city': city,
        'region': region,
        'postalCode': postalCode,
        'street': street,
        'address': address,
        // 'extendedAddress': extendedAddress,
      };

  factory PrefillAddress.fromJson(Map<String, dynamic> json) {
    return PrefillAddress(
      city: json['city'],
      region: json['region'],
      postalCode: json['postalCode'],
      street: json['address'],
      address: json['address'],
      // extendedAddress: json['extendedAddress'],
    );
  }
}

class Prefill {
  PrefillAddress? address;
  String? email;
  String? dob;
  String? ssn;
  String? firstName;
  String? lastName;
  String? midName;
  String? phone;

  Prefill({
    this.address,
    this.email,
    this.dob,
    this.ssn,
    this.firstName,
    this.lastName,
    this.midName,
    this.phone,
  });

  Map<String, dynamic> toJson() => {
        'address': address?.toJson(),
        'email': email,
        'dob': dob,
        'ssn': ssn,
        'firstName': firstName,
        'lastName': lastName,
        if (midName != null) 'midName': midName,
        'phone': phone,
      };

  factory Prefill.fromJson(Map<String, dynamic> json) {
    return Prefill(
      address: PrefillAddress.fromJson(json['address']),
      email: json['email'],
      dob: json['dob'],
      ssn: json['ssn'],
      firstName: json['first_name'],
      lastName: json['last_name'],
      midName: json['midName'],
      phone: json['phone'],
    );
  }
}