import 'bank_transaction.dart';
import 'card_transaction.dart';

enum TransactionMode { bank, card, wallet }

enum TransactionType {
  deposit,
  withdraw,
  fundForDeposit,
  fund,
  oneTimeWithdraw
}

class Transaction {
  CardTransaction? card;
  BankTransaction? bank;
  String? activeAmount;
  num? fundForDepositBalanceAmount;
  String? totalAmountToDeposit;
  String? currency;
  String? amountDeposited;

  Transaction({
    this.card,
    this.bank,
    required this.activeAmount,
    this.fundForDepositBalanceAmount,
    required this.totalAmountToDeposit,
    required this.currency,
    this.amountDeposited,
  });

  Map<String, dynamic> toJson() => {
        'card': card?.toJson(),
        'bank': bank?.toJson(),
        'activeAmount': activeAmount,
        'fundForDepositBalanceAmount': fundForDepositBalanceAmount,
        'totalAmountToDeposit': totalAmountToDeposit,
        'currency': currency,
        'amountDeposited': amountDeposited,
      };

  factory Transaction.fromJson(Map<String, dynamic> json) {
    return Transaction(
      card: CardTransaction.fromJson(json['card']),
      bank: BankTransaction.fromJson(json['bank']),
      activeAmount: json['activeAmount'],
      fundForDepositBalanceAmount: json['fundForDepositBalanceAmount'],
      totalAmountToDeposit: json['totalAmountToDeposit'],
      currency: json['currency'],
      amountDeposited: json['amountDeposited'],
    );
  }
}