import 'package:flutter_test/flutter_test.dart';
import 'package:paydala_flutter_sdk/paydala_flutter_sdk.dart';
import 'package:paydala_flutter_sdk/paydala_flutter_sdk_platform_interface.dart';
import 'package:paydala_flutter_sdk/paydala_flutter_sdk_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockPaydalaFlutterSdkPlatform
    with MockPlatformInterfaceMixin
    implements PaydalaFlutterSdkPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final PaydalaFlutterSdkPlatform initialPlatform = PaydalaFlutterSdkPlatform.instance;

  test('$MethodChannelPaydalaFlutterSdk is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelPaydalaFlutterSdk>());
  });

  test('getPlatformVersion', () async {
    PaydalaFlutterSdk paydalaFlutterSdkPlugin = PaydalaFlutterSdk();
    MockPaydalaFlutterSdkPlatform fakePlatform = MockPaydalaFlutterSdkPlatform();
    PaydalaFlutterSdkPlatform.instance = fakePlatform;

    // expect(await paydalaFlutterSdkPlugin.getPlatformVersion(), '42');
  });
}
