import 'operator_credentials.dart';

class WebchannelPayload {
  String type;
  OperatorPayload? payload;
  String? sessionId;

  WebchannelPayload({required this.type, this.payload, this.sessionId});

  factory WebchannelPayload.fromJson(Map<String, dynamic> json) {
    return WebchannelPayload(
      type: json['type'],
      payload: json['payload'] != null ? OperatorPayload.fromJson(json['payload']) : null,
      sessionId: json['sessionId']
    );
  }
}

class OperatorPayload {
  String environment;
  List<dynamic>? txnDetails;
  SignedOperatorCredentials operatorCredentials;

  OperatorPayload(
      {required this.environment,
      this.txnDetails,
      required this.operatorCredentials});

  factory OperatorPayload.fromJson(Map<String, dynamic> json) {
    return OperatorPayload(
      environment: json['environment'],
      txnDetails: json['txnDetails'],
      operatorCredentials:
          SignedOperatorCredentials.fromJson(json['operatorCredentials']),
    );
  }
}

class SignedOperatorCredentials {
  String sign;
  String? clientId;
  OperatorCredentials credentials;

  SignedOperatorCredentials(
      {required this.sign, this.clientId, required this.credentials});

  factory SignedOperatorCredentials.fromJson(Map<String, dynamic> json) {
    return SignedOperatorCredentials(
      sign: json['sign'],
      clientId: json['clientId'],
      credentials: OperatorCredentials.fromJson(json['credentials']),
    );
  }
}
